Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.schema
Interface SchemaVersion

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  SchemaVersion1999, SchemaVersion2000, SchemaVersion2001

public interface SchemaVersion
extends Serializable

The SchemaVersion interface allows us to abstract out the differences between the 1999, 2000, and 2001 versions of XML Schema.

Author:
  Glen Daniels (gdaniels@apache.org)

Field Summary
`static SchemaVersion` | `SCHEMA_1999`
`static SchemaVersion` | `SCHEMA_2000`
`static SchemaVersion` | `SCHEMA_2001`

Method Summary
`javax.xml.namespace.QName` | `getNilQName()` Get the appropriate QName for the "null"/"nil" attribute for this Schema version.
`String` | `getXsdURI()` The XSD URI
`String` | `getXsiURI()` The XSI URI
`void` | `registerSchemaSpecificTypes(TypeMapping tm)` Register the schema specific type mappings

Field Detail

### SCHEMA_1999

    public static final SchemaVersion SCHEMA_1999

### SCHEMA_2000

    public static final SchemaVersion SCHEMA_2000

### SCHEMA_2001

    public static final SchemaVersion SCHEMA_2001

Method Detail

### getNilQName

    public javax.xml.namespace.QName getNilQName()

  Get the appropriate QName for the "null"/"nil" attribute for this Schema version.

  Returns:
    the appropriate "null"/"nil" QName

### getXsiURI

    public String getXsiURI()

  The XSI URI

  Returns:
    the XSI URI

### getXsdURI

    public String getXsdURI()

  The XSD URI

  Returns:
    the XSD URI

### registerSchemaSpecificTypes

    public void registerSchemaSpecificTypes(TypeMapping tm)

  Register the schema specific type mappings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.